---
# Source: efesto-proxy/templates/serviceaccount.yaml
apiVersion: v1
kind: ServiceAccount
metadata:
  name: efesto-proxy-sa
  namespace: "namespace_placeholder"
---
# Source: efesto-proxy/templates/configmap.yaml
apiVersion: v1
kind: ConfigMap
metadata:
  name: app-versions-cm
data:
  composer-hub: |
    repository: "cubbit/composer-hub"
    tag: "25.24.174-af648530be"
  gods3: |
    repository: "cubbit/gods3"
    tag: "25.24.168-c7de01b611"
  gods3-hub: |
    repository: "cubbit/gods3-hub"
    tag: "25.24.171-300c5a07f4"
  gods3-message-handler: |
    repository: "cubbit/gods3-message-handler"
    tag: "25.24.168-c7de01b611"
  gods3-message-outbox: |
    repository: "cubbit/gods3-message-outbox"
    tag: "25.24.168-c7de01b611"
  gods3-partitioner: |
    repository: "cubbit/gods3-partitioner"
    tag: "25.22.154-54b3adeab9"
  iam: |
    repository: "cubbit/iam"
    tag: "25.24.168-4a060c07f6"
  keyvault: |
    repository: "cubbit/keyvault"
    tag: "25.20.140-8c7b53bbfb"
  lifecicle: |
    repository: "cubbit/lifecycle"
    tag: "25.24.168-c7de01b611"
  metrics-ingestion: |
    repository: "cubbit/metrics-ingestion"
    tag: "25.11.080-f17ffbf8f9"
  next-mailer: |
    repository: "cubbit/next-mailer"
    tag: "25.24.168-4a060c07f6"
  operator-dashboard: |
    repository: "cubbit/operator-dashboard"
    tag: "25.24.169-6b71a03960"
  resource-monitor: |
    repository: "cubbit/resource-monitor"
    tag: "25.19.134-870464499d"
  swarm-gateway: |
    repository: "cubbit/swarm-gateway"
    tag: "25.8.058-80e1e9cf50"
  webapp-s3: |
    repository: "cubbit/webapp-s3"
    tag: "25.24.169-41f4368590"
---
# Source: efesto-proxy/templates/clusterrole.yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: efesto-proxy-sa-edit
rules:
- apiGroups: ["tenant.cubbit.io"]
  resources: ["tenants"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: ["gateway.cubbit.io"]
  resources: ["gateways"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: ["offloader.cubbit.io"]
  resources: ["offloaders"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: [""]
  resources: ["secrets"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: ["profile.manager.cubbit.io"]
  resources: ["profilegateways"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: [""]
  resources: ["configmaps"]
  verbs: ["get", "list", "watch", "create", "delete", "patch", "update"]
- apiGroups: ["*"]
  resources: ["nodes"]
  verbs: ["get", "list", "watch"]
---
# Source: efesto-proxy/templates/rolebinding.yaml
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  name: efesto-proxy-sa-edit
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: efesto-proxy-sa-edit
subjects:
- kind: ServiceAccount
  name: efesto-proxy-sa
  namespace: "namespace_placeholder"
---
# Source: efesto-proxy/templates/service.yaml
apiVersion: v1
kind: Service
metadata:
  name: efesto-proxy
  namespace: namespace_placeholder
spec:
  type: ClusterIP
  ports:
    - port: 8283
      targetPort: http
      protocol: TCP
      name: http
  selector:
    name: efesto-proxy
---
# Source: efesto-proxy/templates/deployment.yaml
apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app.kubernetes.io/app-name: efesto-proxy
  name: efesto-proxy
  namespace: namespace_placeholder
spec:
  replicas: 2
  selector:
    matchLabels:
      name: efesto-proxy
  template:
    metadata:
      labels:
        name: efesto-proxy
    spec:
      imagePullSecrets:
        - name: regcred
      serviceAccountName: efesto-proxy-sa
      containers:
      - name: efesto-proxy
        image: cubbit/efesto-proxy:demo-2507
        imagePullPolicy: "Always"
        env:
        - name: GIN_MODE
          value: "debug"
        - name: EFESTO_HTTP_HOST
          value: "0.0.0.0"
        - name: EFESTO_HTTP_PORT
          value: "8283"
        # Guards
        - name: ENABLE_INTERNAL_AUTH_GUARD
          value: "true"
        - name: INTERNAL_AUTH_TOKEN_ALLOWED_LIST
          valueFrom:
            secretKeyRef:
              name: efesto-proxy
              key: internal-auth-token-allowed-list
        - name: INTERNAL_AUTH_TOKEN_HEADER_NAME
          value: "x-cbt-internal-auth"
        - name: ROOT_DOMAIN
          value: "efesto-proxy_placeholder"
        - name: K8S_NAMESPACE
          value: "namespace_placeholder"
        - name: USE_IN_CLUSTER
          value: "true"
        - name: IS_MULTI_GW
          value: "false"
        ports:
          - name: http
            containerPort: 8283
            protocol: TCP
---
# Source: efesto-proxy/templates/ingress.yaml
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: efesto-proxy-ingress
  namespace: namespace_placeholder
  annotations:
    cert-manager.io/cluster-issuer: "letsencrypt-production-dns01"
spec:
  ingressClassName: nginx
  tls:
  - hosts:
    - "efesto-proxy_placeholder"
    secretName: "letsencrypt-efesto-proxy"
  rules:
    - host: "efesto-proxy_placeholder"
      http:
          paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: efesto-proxy
                port:
                  number: 8283
---
